Subject: Re: [PATCH 1/2] [IPV4] UDP: Always checksum even if without socket filter

From: Wang Chen <[email-masked]>
Date: Fri, 16 Nov 2007 12:17:48 +0800

Herbert Xu said the following on 2007-11-16 12:11:
> Wang Chen <[email-masked]> wrote:
>> So, I think the checksum in udp_queue_rcv_skb() actually does
>> the work, not that in udp_recvmsg() and udp_poll().
>>
>> If I am wrong, please point out.
> 
> We may have a bug in the accounting area.  Check the recent
> patch made to UDP/IPv6 which is probably needed here as well.
> 

Like dave said, decrementing the InDataGrams in this case is an
option.
I will check the same place of UDP/IPv6.

> Hmm, we really need to spend more time on merging stuff between
> IPv4 and IPv6 to save all this duplication of effort.
> 

Definitely necessary.